Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Reply
Message 1 of 6
Anonymous
178 Views, 5 Replies

Plot Scale

When you go to plot, and the Dialog box comes up, there is an option on the
"Plot Settings" tab, under the Paper Size drop down you can select "inches"
or "mm". This allows you to set the ratio of 'number of drawing units to
the number of (inches or mm)'
Does anybody know how i can read this value??
It has to be there somewhere i just can't find it?
5 REPLIES 5
Message 2 of 6
Anonymous
in reply to: Anonymous

Here is some visual aid.
Message 3 of 6
Anonymous
in reply to: Anonymous

Does this help?

(vla-get-paperunits
(vla-get-activelayout
(vla-get-activedocument
(vlax-get-acad-object))))


;0 = inches
;1 = mm


--
-Jason

Member of the Autodesk Discussion Forum Moderator Program


"R. B. Lewis" wrote in message
news:B43A80631A50D4F1557A8C2EE4FDA5D4@in.WebX.maYIadrTaRb...
> Here is some visual aid.
>
>


----------------------------------------------------------------------------
----
Message 4 of 6
Anonymous
in reply to: Anonymous



Signature

object.PaperUnits

 


PaperUnits

   
        acPlotPaperUnits enum; read-write

   
        acInches

   
        acMillimeters


size=2>            acPixels

Remarks

This property determines the units for
the display of the layout or plot configuration in the user interface. This
property does not determine the units for input or query of the ActiveX
Automation properties. All ActiveX Automation properties are represented in
millimeters or radians, regardless of the units settings.

Changes to this property will not be
visible until after a regeneration of the drawing. Use the Regen method to
regenerate the drawing.

---End Text---

Does this work in lisp??? This is VB code
is it not? how can i do this in lisp?


 


 


 


> Here is some
visual aid.
>
>








src="CID:{9AFB3B03-7E67-457E-B5BA-E425BCE39DC3}/plotunits.jpg">

Message 5 of 6
Anonymous
in reply to: Anonymous

See my first post.

--
-Jason

Member of the Autodesk Discussion Forum Moderator Program


> Does this work in lisp??? This is VB code is it not? how can i do this in
lisp?
Message 6 of 6
Anonymous
in reply to: Anonymous

That works Great
Thanks

RB


"Jason Piercey" wrote in message
news:3B124DA3D298CF0172BDB435C8175653@in.WebX.maYIadrTaRb...
> Does this help?
>
> (vla-get-paperunits
> (vla-get-activelayout
> (vla-get-activedocument
> (vlax-get-acad-object))))
>
>
> ;0 = inches
> ;1 = mm
>
>
> --
> -Jason
>
> Member of the Autodesk Discussion Forum Moderator Program
>
>
> "R. B. Lewis" wrote in message
> news:B43A80631A50D4F1557A8C2EE4FDA5D4@in.WebX.maYIadrTaRb...
> > Here is some visual aid.
> >
> >
>
>
> --------------------------------------------------------------------------
--
> ----
>
>
>
>
>
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost